Subject: [bug#31298] [PATCH 2/2] gnu: Add yubico-piv-tool.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 30 Apr 2018 22:57:27 +0200

Chris Marusich <[email-masked]> skribis:

> * gnu/packages/security-token.scm (yubico-piv-tool): New variable.

LGTM!

> +    (home-page "https://developers.yubico.com/yubico-piv-tool/")
> +    (synopsis "Interact with the PIV application on a YubiKey")
> +    (description
> +     "The Yubico PIV tool is used for interacting with the Privilege and
> +Identification Card (PIV) application on a YubiKey.  With it you may generate
> +keys on the device, import keys and certificates, create certificate requests,
> +and other operations.  It includes a library and a command-line tool.")
> +    ;; The file ykcs11/pkcs11.h also declares an additional, very short free
> +    ;; license for that one file.  Please see it for details.  The files in
> +    ;; the m4 directory are licensed under either a similarly terse free
> +    ;; license or gpl2+.  The vast majority of files are licensed under bsd-2.
> +    (license license:bsd-2)))

I think you can omit the bit about the m4/ directory since it’s pretty
much the same story in many packages.

Thanks,
Ludo’.